
Redmine - Defect #40924

Spent Hours ignoring "Time Span Format" Setting on several pages

2024-06-30 11:29 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 5.0.10   

Resolution: Fixed Affected version:  

Description

On the "Bulk edit selected time entries" page, the hours in time entries are always displayed in decimal format, regardless of the

"Time span format" setting. When the "Time span format" is set to "minutes," the hours should be displayed in the "hh:mm" format.
Associated revisions

Revision 22902 - 2024-06-30 16:37 - Go MAEDA

Spent hours ignoring "Time Span Format" Setting on several pages (#40924).

Patch by Go MAEDA (@maeda).

Revision 22903 - 2024-07-03 11:38 - Go MAEDA

Merged r22902 from trunk to 5.1-stable (#40924).

Revision 22904 - 2024-07-03 11:40 - Go MAEDA

Merged r22902 from trunk to 5.0-stable (#40924).

History

#1 - 2024-06-30 13:26 - Go MAEDA

- File clipboard-202406302025-0mzi9.png added

- File 40924.patch added

- Subject changed from Spent hours on "Bulk Edit Selected Time Entries" page ignoring "Time span format" setting to Spent Hours ignoring "Time

Span Format" Setting on several pages

- Target version set to Candidate for next minor release

The page app/views/issues/destroy.html.erb is also affected.

 clipboard-202406302025-0mzi9.png 

The attached patch fixes these two pages.

#2 - 2024-06-30 16:33 - Go MAEDA

- Target version changed from Candidate for next minor release to 5.0.10

Setting the target version to 5.0.10.

#3 - 2024-06-30 16:37 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r22902.

#4 - 2024-07-03 11:41 - Go MAEDA

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/22902


Merged the change to stable branches.
